Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-2a
/
cdna
/
{year}
/
{month}
GSTR-2A CDNA
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/cdna/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/cdna/{year}/{month}"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/cdna/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "data": {
      "cdna": [
        {
          "cfs": "Y",
          "ctin": "01ABCAP1123Q1ZS",
          "nt": [
            {
              "chksum": "AflJufPlFStqKBZ",
              "d_flag": "Y",
              "diff_percent": 0.65,
              "idt": "20-09-2023",
              "inum": "915914",
              "inv_typ": "R",
              "itms": [
                {
                  "itm_det": {
                    "camt": 614.44,
                    "csamt": 621.09,
                    "iamt": 0,
                    "rt": 10.1,
                    "samt": 5.68,
                    "txval": 6210.99
                  },
                  "num": 1
                }
              ],
              "nt_dt": "23-12-2023",
              "nt_num": "533515",
              "ntty": "C",
              "ont_dt": "23-09-2023",
              "ont_num": "533515",
              "p_gst": "N",
              "pos": "06",
              "rchrg": "N",
              "val": 729248.16
            }
          ]
        }
      ]
    },
    "status_cd": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "182ebce6-df57-4be7-9b07-2d9936a17550"
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
month
string
required

Query Parameters

counterparty_gstin
string

Filter by supplier / counterparty GSTIN

Example:

"{{ctin}}"

Response

200 - application/json

200 Success / RET13509 No data found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"182ebce6-df57-4be7-9b07-2d9936a17550"